CREATE TABLE cn_tp_transactions_all_h (
    TRANSACTION_H_ID               NUMBER(18, 0) ,
    PARTICIPANT_ID                 NUMBER(18, 0) ,
    SOURCE_EVENT_DATE              DATE              NOT NULL,
    SOURCE_EVENT_PERIOD_ID         NUMBER(18, 0) ,
    CREDIT_DATE                    DATE          ,
    ROLLUP_DATE                    DATE          ,
    TRANSACTION_AMT_SOURCE_CURR    NUMBER            NOT NULL,
    SOURCE_CURRENCY_CODE           VARCHAR2(60)  ,
    TRANSACTION_AMT_FUNC_CURR      NUMBER        ,
    SOURCE_TO_FUNC_CURR_CNVRT      NUMBER        ,
    DISCOUNT_PERCENTAGE            NUMBER        ,
    MARGIN_PERCENTAGE              NUMBER        ,
    TRANSACTION_QTY                NUMBER        ,
    TRANSACTION_SUB_TYPE           VARCHAR2(120) ,
    TRANSACTION_TYPE               VARCHAR2(120)     NOT NULL,
    NEW_TRANSACTION_ID             NUMBER(18, 0)     NOT NULL,
    TRANSACTION_ID                 NUMBER(18, 0)     NOT NULL,
    ELIGIBLE_CAT_ID                NUMBER(18, 0) ,
    SOURCE_TYPE                    VARCHAR2(120) ,
    OBJECT_STATUS                  VARCHAR2(120) ,
    COLLECTION_STATUS              VARCHAR2(120) ,
    ADJUSTMENT_STATUS              VARCHAR2(120) ,
    ADJUSTMENT_COMMENTS            VARCHAR2(4000),
    PROCESS_CODE                   VARCHAR2(120) ,
    SOURCE_ORG_ID                  NUMBER(18, 0) ,
    ORG_ID                         NUMBER(18, 0)     NOT NULL,
    SOURCE_TRX_NUMBER              VARCHAR2(120)     NOT NULL,
    SOURCE_TRX_ID                  NUMBER(18, 0) ,
    SOURCE_TRX_LINE_ID             NUMBER(18, 0) ,
    SOURCE_TRX_SALES_LINE_ID       NUMBER(18, 0) ,
    CUSTOMER_ID                    NUMBER(18, 0) ,
    INVENTORY_ITEM_ID              NUMBER(18, 0) ,
    ORDER_NUMBER                   VARCHAR2(120) ,
    BOOKED_DATE                    DATE          ,
    INVOICE_NUMBER                 VARCHAR2(120) ,
    INVOICE_DATE                   DATE          ,
    BILL_TO_ADDRESS_ID             NUMBER(18, 0) ,
    SHIP_TO_ADDRESS_ID             NUMBER(18, 0) ,
    BILL_TO_CONTACT_ID             NUMBER(18, 0) ,
    SHIP_TO_CONTACT_ID             NUMBER(18, 0) ,
    SALES_CHANNEL                  VARCHAR2(120) ,
    UOM_CODE                       VARCHAR2(40)  ,
    REASON_CODE                    VARCHAR2(120) ,
    CLSFN_RULE_ID                  NUMBER(18, 0) ,
    ROLE_ID                        NUMBER(18, 0) ,
    TERR_ID                        NUMBER(18, 0) ,
    TERR_NAME                      VARCHAR2(4000),
    COUNTRY                        VARCHAR2(1440),
    STATE                          VARCHAR2(1440),
    CITY                           VARCHAR2(1440),
    PROVINCE                       VARCHAR2(1440),
    POSTAL_CODE                    VARCHAR2(1440),
    AREA_CODE                      VARCHAR2(1440),
    CHANGED_TRX_FLAG               VARCHAR2(4)   ,
    HOLD_FLAG                      VARCHAR2(4)   ,
    PRESERVE_CREDIT_FLAG           VARCHAR2(4)   ,
    LOCK_FLAG                      VARCHAR2(4)   ,
    WORKER_ID                      NUMBER(18, 0) ,
    REQUEST_ID                     NUMBER(18, 0) ,
    JOB_DEFINITION_NAME            VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE         VARCHAR2(3600),
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY             VARCHAR2(120) ,
    ATTRIBUTE1                     VARCHAR2(960) ,
    ATTRIBUTE2                     VARCHAR2(960) ,
    ATTRIBUTE3                     VARCHAR2(960) ,
    ATTRIBUTE4                     VARCHAR2(960) ,
    ATTRIBUTE5                     VARCHAR2(960) ,
    ATTRIBUTE6                     VARCHAR2(960) ,
    ATTRIBUTE7                     VARCHAR2(960) ,
    ATTRIBUTE8                     VARCHAR2(960) ,
    ATTRIBUTE9                     VARCHAR2(960) ,
    ATTRIBUTE10                    VARCHAR2(960) ,
    ATTRIBUTE11                    VARCHAR2(960) ,
    ATTRIBUTE12                    VARCHAR2(960) ,
    ATTRIBUTE13                    VARCHAR2(960) ,
    ATTRIBUTE14                    VARCHAR2(960) ,
    ATTRIBUTE15                    VARCHAR2(960) ,
    ATTRIBUTE_NUMBER1              NUMBER        ,
    ATTRIBUTE_NUMBER2              NUMBER        ,
    ATTRIBUTE_NUMBER3              NUMBER        ,
    ATTRIBUTE_NUMBER4              NUMBER        ,
    ATTRIBUTE_NUMBER5              NUMBER        ,
    ATTRIBUTE_NUMBER6              NUMBER        ,
    ATTRIBUTE_NUMBER7              NUMBER        ,
    ATTRIBUTE_NUMBER8              NUMBER        ,
    ATTRIBUTE_NUMBER9              NUMBER        ,
    ATTRIBUTE_NUMBER10             NUMBER        ,
    ATTRIBUTE_NUMBER11             NUMBER        ,
    ATTRIBUTE_NUMBER12             NUMBER        ,
    ATTRIBUTE_NUMBER13             NUMBER        ,
    ATTRIBUTE_NUMBER14             NUMBER        ,
    ATTRIBUTE_NUMBER15             NUMBER        ,
    ATTRIBUTE16                    VARCHAR2(960) ,
    ATTRIBUTE17                    VARCHAR2(960) ,
    ATTRIBUTE18                    VARCHAR2(960) ,
    ATTRIBUTE19                    VARCHAR2(960) ,
    ATTRIBUTE20                    VARCHAR2(960) ,
    ATTRIBUTE21                    VARCHAR2(960) ,
    ATTRIBUTE22                    VARCHAR2(960) ,
    ATTRIBUTE23                    VARCHAR2(960) ,
    ATTRIBUTE24                    VARCHAR2(960) ,
    ATTRIBUTE25                    VARCHAR2(960) ,
    ATTRIBUTE26                    VARCHAR2(960) ,
    ATTRIBUTE27                    VARCHAR2(960) ,
    ATTRIBUTE28                    VARCHAR2(960) ,
    ATTRIBUTE29                    VARCHAR2(960) ,
    ATTRIBUTE30                    VARCHAR2(960) ,
    ATTRIBUTE_NUMBER16             NUMBER        ,
    ATTRIBUTE_NUMBER17             NUMBER        ,
    ATTRIBUTE_NUMBER18             NUMBER        ,
    ATTRIBUTE_NUMBER19             NUMBER        ,
    ATTRIBUTE_NUMBER20             NUMBER        ,
    ATTRIBUTE_NUMBER21             NUMBER        ,
    ATTRIBUTE_NUMBER22             NUMBER        ,
    ATTRIBUTE_NUMBER23             NUMBER        ,
    ATTRIBUTE_NUMBER24             NUMBER        ,
    ATTRIBUTE_NUMBER25             NUMBER        ,
    ATTRIBUTE_NUMBER26             NUMBER        ,
    ATTRIBUTE_NUMBER27             NUMBER        ,
    ATTRIBUTE_NUMBER28             NUMBER        ,
    ATTRIBUTE_NUMBER29             NUMBER        ,
    ATTRIBUTE_NUMBER30             NUMBER        ,
    ATTRIBUTE31                    VARCHAR2(960) ,
    ATTRIBUTE32                    VARCHAR2(960) ,
    ATTRIBUTE33                    VARCHAR2(960) ,
    ATTRIBUTE34                    VARCHAR2(960) ,
    ATTRIBUTE35                    VARCHAR2(960) ,
    ATTRIBUTE36                    VARCHAR2(960) ,
    ATTRIBUTE37                    VARCHAR2(960) ,
    ATTRIBUTE38                    VARCHAR2(960) ,
    ATTRIBUTE39                    VARCHAR2(960) ,
    ATTRIBUTE40                    VARCHAR2(960) ,
    ATTRIBUTE41                    VARCHAR2(960) ,
    ATTRIBUTE42                    VARCHAR2(960) ,
    ATTRIBUTE43                    VARCHAR2(960) ,
    ATTRIBUTE44                    VARCHAR2(960) ,
    ATTRIBUTE45                    VARCHAR2(960) ,
    ATTRIBUTE_NUMBER31             NUMBER        ,
    ATTRIBUTE_NUMBER32             NUMBER        ,
    ATTRIBUTE_NUMBER33             NUMBER        ,
    ATTRIBUTE_NUMBER34             NUMBER        ,
    ATTRIBUTE_NUMBER35             NUMBER        ,
    ATTRIBUTE_NUMBER36             NUMBER        ,
    ATTRIBUTE_NUMBER37             NUMBER        ,
    ATTRIBUTE_NUMBER38             NUMBER        ,
    ATTRIBUTE_NUMBER39             NUMBER        ,
    ATTRIBUTE_NUMBER40             NUMBER        ,
    ATTRIBUTE_NUMBER41             NUMBER        ,
    ATTRIBUTE_NUMBER42             NUMBER        ,
    ATTRIBUTE_NUMBER43             NUMBER        ,
    ATTRIBUTE_NUMBER44             NUMBER        ,
    ATTRIBUTE_NUMBER45             NUMBER        ,
    ATTRIBUTE_NUMBER46             NUMBER        ,
    ATTRIBUTE_NUMBER47             NUMBER        ,
    ATTRIBUTE_NUMBER48             NUMBER        ,
    ATTRIBUTE_NUMBER49             NUMBER        ,
    ATTRIBUTE_NUMBER50             NUMBER        ,
    ATTRIBUTE46                    VARCHAR2(960) ,
    ATTRIBUTE47                    VARCHAR2(960) ,
    ATTRIBUTE48                    VARCHAR2(960) ,
    ATTRIBUTE49                    VARCHAR2(960) ,
    ATTRIBUTE50                    VARCHAR2(960) ,
    ATTRIBUTE51                    VARCHAR2(960) ,
    ATTRIBUTE52                    VARCHAR2(960) ,
    ATTRIBUTE53                    VARCHAR2(960) ,
    ATTRIBUTE54                    VARCHAR2(960) ,
    ATTRIBUTE55                    VARCHAR2(960) ,
    ATTRIBUTE56                    VARCHAR2(960) ,
    ATTRIBUTE57                    VARCHAR2(960) ,
    ATTRIBUTE58                    VARCHAR2(960) ,
    ATTRIBUTE59                    VARCHAR2(960) ,
    ATTRIBUTE60                    VARCHAR2(960) ,
    ATTRIBUTE61                    VARCHAR2(960) ,
    ATTRIBUTE62                    VARCHAR2(960) ,
    ATTRIBUTE63                    VARCHAR2(960) ,
    ATTRIBUTE64                    VARCHAR2(960) ,
    ATTRIBUTE65                    VARCHAR2(960) ,
    ATTRIBUTE66                    VARCHAR2(960) ,
    ATTRIBUTE67                    VARCHAR2(960) ,
    ATTRIBUTE68                    VARCHAR2(960) ,
    ATTRIBUTE69                    VARCHAR2(960) ,
    ATTRIBUTE70                    VARCHAR2(960) ,
    ATTRIBUTE71                    VARCHAR2(960) ,
    ATTRIBUTE72                    VARCHAR2(960) ,
    ATTRIBUTE73                    VARCHAR2(960) ,
    ATTRIBUTE74                    VARCHAR2(960) ,
    ATTRIBUTE75                    VARCHAR2(960) ,
    ATTRIBUTE76                    VARCHAR2(960) ,
    ATTRIBUTE77                    VARCHAR2(960) ,
    ATTRIBUTE78                    VARCHAR2(960) ,
    ATTRIBUTE79                    VARCHAR2(960) ,
    ATTRIBUTE80                    VARCHAR2(960) ,
    ATTRIBUTE81                    VARCHAR2(4000),
    ATTRIBUTE82                    VARCHAR2(4000),
    ATTRIBUTE83                    VARCHAR2(4000),
    ATTRIBUTE84                    VARCHAR2(4000),
    ATTRIBUTE85                    VARCHAR2(960) ,
    ATTRIBUTE86                    VARCHAR2(960) ,
    ATTRIBUTE87                    VARCHAR2(960) ,
    ATTRIBUTE88                    VARCHAR2(960) ,
    ATTRIBUTE89                    VARCHAR2(960) ,
    ATTRIBUTE90                    VARCHAR2(960) ,
    ATTRIBUTE91                    VARCHAR2(960) ,
    ATTRIBUTE92                    VARCHAR2(960) ,
    ATTRIBUTE93                    VARCHAR2(960) ,
    ATTRIBUTE94                    VARCHAR2(960) ,
    ATTRIBUTE95                    VARCHAR2(960) ,
    ATTRIBUTE96                    VARCHAR2(960) ,
    ATTRIBUTE97                    VARCHAR2(960) ,
    ATTRIBUTE98                    VARCHAR2(960) ,
    ATTRIBUTE99                    VARCHAR2(960) ,
    ATTRIBUTE100                   VARCHAR2(960) ,
    ATTRIBUTE101                   VARCHAR2(960) ,
    ATTRIBUTE102                   VARCHAR2(960) ,
    ATTRIBUTE103                   VARCHAR2(960) ,
    ATTRIBUTE104                   VARCHAR2(960) ,
    ATTRIBUTE105                   VARCHAR2(960) ,
    ATTRIBUTE106                   VARCHAR2(960) ,
    ATTRIBUTE107                   VARCHAR2(960) ,
    ATTRIBUTE108                   VARCHAR2(960) ,
    ATTRIBUTE109                   VARCHAR2(960) ,
    ATTRIBUTE110                   VARCHAR2(960) ,
    ATTRIBUTE111                   VARCHAR2(960) ,
    ATTRIBUTE112                   VARCHAR2(960) ,
    ATTRIBUTE113                   VARCHAR2(960) ,
    ATTRIBUTE114                   VARCHAR2(960) ,
    ATTRIBUTE115                   VARCHAR2(960) ,
    ATTRIBUTE116                   VARCHAR2(960) ,
    ATTRIBUTE117                   VARCHAR2(960) ,
    ATTRIBUTE118                   VARCHAR2(960) ,
    ATTRIBUTE119                   VARCHAR2(960) ,
    ATTRIBUTE120                   VARCHAR2(960) ,
    ATTRIBUTE121                   VARCHAR2(960) ,
    ATTRIBUTE122                   VARCHAR2(960) ,
    ATTRIBUTE123                   VARCHAR2(960) ,
    ATTRIBUTE124                   VARCHAR2(960) ,
    ATTRIBUTE125                   VARCHAR2(960) ,
    ATTRIBUTE126                   VARCHAR2(960) ,
    ATTRIBUTE127                   VARCHAR2(960) ,
    ATTRIBUTE128                   VARCHAR2(960) ,
    ATTRIBUTE129                   VARCHAR2(960) ,
    ATTRIBUTE130                   VARCHAR2(960) ,
    ATTRIBUTE131                   VARCHAR2(960) ,
    ATTRIBUTE132                   VARCHAR2(960) ,
    ATTRIBUTE133                   VARCHAR2(960) ,
    ATTRIBUTE134                   VARCHAR2(960) ,
    ATTRIBUTE135                   VARCHAR2(960) ,
    ATTRIBUTE136                   VARCHAR2(960) ,
    ATTRIBUTE137                   VARCHAR2(960) ,
    ATTRIBUTE138                   VARCHAR2(960) ,
    ATTRIBUTE139                   VARCHAR2(960) ,
    ATTRIBUTE140                   VARCHAR2(960) ,
    ATTRIBUTE141                   VARCHAR2(960) ,
    ATTRIBUTE142                   VARCHAR2(960) ,
    ATTRIBUTE143                   VARCHAR2(960) ,
    ATTRIBUTE144                   VARCHAR2(960) ,
    ATTRIBUTE145                   VARCHAR2(960) ,
    ATTRIBUTE146                   VARCHAR2(960) ,
    ATTRIBUTE147                   VARCHAR2(960) ,
    ATTRIBUTE148                   VARCHAR2(960) ,
    ATTRIBUTE149                   VARCHAR2(960) ,
    ATTRIBUTE150                   VARCHAR2(960) ,
    ERROR_CODE                     VARCHAR2(120) ,
    TRANSACTION_H_ID               NUMBER(18, 0) ,
    PARTICIPANT_ID                 NUMBER(18, 0) ,
    SOURCE_EVENT_DATE              DATE              NOT NULL,
    SOURCE_EVENT_PERIOD_ID         NUMBER(18, 0) ,
    CREDIT_DATE                    DATE          ,
    ROLLUP_DATE                    DATE          ,
    TRANSACTION_AMT_SOURCE_CURR    NUMBER            NOT NULL,
    SOURCE_CURRENCY_CODE           VARCHAR2(60)  ,
    TRANSACTION_AMT_FUNC_CURR      NUMBER        ,
    SOURCE_TO_FUNC_CURR_CNVRT      NUMBER        ,
    DISCOUNT_PERCENTAGE            NUMBER        ,
    MARGIN_PERCENTAGE              NUMBER        ,
    TRANSACTION_QTY                NUMBER        ,
    TRANSACTION_SUB_TYPE           VARCHAR2(120) ,
    TRANSACTION_TYPE               VARCHAR2(120)     NOT NULL,
    NEW_TRANSACTION_ID             NUMBER(18, 0)     NOT NULL,
    TRANSACTION_ID                 NUMBER(18, 0)     NOT NULL,
    ELIGIBLE_CAT_ID                NUMBER(18, 0) ,
    SOURCE_TYPE                    VARCHAR2(120) ,
    OBJECT_STATUS                  VARCHAR2(120) ,
    COLLECTION_STATUS              VARCHAR2(120) ,
    ADJUSTMENT_STATUS              VARCHAR2(120) ,
    ADJUSTMENT_COMMENTS            VARCHAR2(4000),
    PROCESS_CODE                   VARCHAR2(120) ,
    SOURCE_ORG_ID                  NUMBER(18, 0) ,
    ORG_ID                         NUMBER(18, 0)     NOT NULL,
    SOURCE_TRX_NUMBER              VARCHAR2(120)     NOT NULL,
    SOURCE_TRX_ID                  NUMBER(18, 0) ,
    SOURCE_TRX_LINE_ID             NUMBER(18, 0) ,
    SOURCE_TRX_SALES_LINE_ID       NUMBER(18, 0) ,
    CUSTOMER_ID                    NUMBER(18, 0) ,
    INVENTORY_ITEM_ID              NUMBER(18, 0) ,
    ORDER_NUMBER                   VARCHAR2(120) ,
    BOOKED_DATE                    DATE          ,
    INVOICE_NUMBER                 VARCHAR2(120) ,
    INVOICE_DATE                   DATE          ,
    BILL_TO_ADDRESS_ID             NUMBER(18, 0) ,
    SHIP_TO_ADDRESS_ID             NUMBER(18, 0) ,
    BILL_TO_CONTACT_ID             NUMBER(18, 0) ,
    SHIP_TO_CONTACT_ID             NUMBER(18, 0) ,
    SALES_CHANNEL                  VARCHAR2(120) ,
    UOM_CODE                       VARCHAR2(40)  ,
    REASON_CODE                    VARCHAR2(120) ,
    CLSFN_RULE_ID                  NUMBER(18, 0) ,
    ROLE_ID                        NUMBER(18, 0) ,
    TERR_ID                        NUMBER(18, 0) ,
    TERR_NAME                      VARCHAR2(4000),
    COUNTRY                        VARCHAR2(1440),
    STATE                          VARCHAR2(1440),
    CITY                           VARCHAR2(1440),
    PROVINCE                       VARCHAR2(1440),
    POSTAL_CODE                    VARCHAR2(1440),
    AREA_CODE                      VARCHAR2(1440),
    CHANGED_TRX_FLAG               VARCHAR2(4)   ,
    HOLD_FLAG                      VARCHAR2(4)   ,
    PRESERVE_CREDIT_FLAG           VARCHAR2(4)   ,
    WORKER_ID                      NUMBER(18, 0) ,
    REQUEST_ID                     NUMBER(18, 0) ,
    JOB_DEFINITION_NAME            VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE         VARCHAR2(3600),
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY             VARCHAR2(120) ,
    ATTRIBUTE1                     VARCHAR2(960) ,
    ATTRIBUTE2                     VARCHAR2(960) ,
    ATTRIBUTE3                     VARCHAR2(960) ,
    ATTRIBUTE4                     VARCHAR2(960) ,
    ATTRIBUTE5                     VARCHAR2(960) ,
    ATTRIBUTE6                     VARCHAR2(960) ,
    ATTRIBUTE7                     VARCHAR2(960) ,
    ATTRIBUTE8                     VARCHAR2(960) ,
    ATTRIBUTE9                     VARCHAR2(960) ,
    ATTRIBUTE10                    VARCHAR2(960) ,
    ATTRIBUTE11                    VARCHAR2(960) ,
    ATTRIBUTE12                    VARCHAR2(960) ,
    ATTRIBUTE13                    VARCHAR2(960) ,
    ATTRIBUTE14                    VARCHAR2(960) ,
    ATTRIBUTE15                    VARCHAR2(960) ,
    ATTRIBUTE_NUMBER1              NUMBER        ,
    ATTRIBUTE_NUMBER2              NUMBER        ,
    ATTRIBUTE_NUMBER3              NUMBER        ,
    ATTRIBUTE_NUMBER4              NUMBER        ,
    ATTRIBUTE_NUMBER5              NUMBER        ,
    ATTRIBUTE_NUMBER6              NUMBER        ,
    ATTRIBUTE_NUMBER7              NUMBER        ,
    ATTRIBUTE_NUMBER8              NUMBER        ,
    ATTRIBUTE_NUMBER9              NUMBER        ,
    ATTRIBUTE_NUMBER10             NUMBER        ,
    ATTRIBUTE_NUMBER11             NUMBER        ,
    ATTRIBUTE_NUMBER12             NUMBER        ,
    ATTRIBUTE_NUMBER13             NUMBER        ,
    ATTRIBUTE_NUMBER14             NUMBER        ,
    ATTRIBUTE_NUMBER15             NUMBER        ,
    ATTRIBUTE16                    VARCHAR2(960) ,
    ATTRIBUTE17                    VARCHAR2(960) ,
    ATTRIBUTE18                    VARCHAR2(960) ,
    ATTRIBUTE19                    VARCHAR2(960) ,
    ATTRIBUTE20                    VARCHAR2(960) ,
    ATTRIBUTE21                    VARCHAR2(960) ,
    ATTRIBUTE22                    VARCHAR2(960) ,
    ATTRIBUTE23                    VARCHAR2(960) ,
    ATTRIBUTE24                    VARCHAR2(960) ,
    ATTRIBUTE25                    VARCHAR2(960) ,
    ATTRIBUTE26                    VARCHAR2(960) ,
    ATTRIBUTE27                    VARCHAR2(960) ,
    ATTRIBUTE28                    VARCHAR2(960) ,
    ATTRIBUTE29                    VARCHAR2(960) ,
    ATTRIBUTE30                    VARCHAR2(960) ,
    ATTRIBUTE_NUMBER16             NUMBER        ,
    ATTRIBUTE_NUMBER17             NUMBER        ,
    ATTRIBUTE_NUMBER18             NUMBER        ,
    ATTRIBUTE_NUMBER19             NUMBER        ,
    ATTRIBUTE_NUMBER20             NUMBER        ,
    ATTRIBUTE_NUMBER21             NUMBER        ,
    ATTRIBUTE_NUMBER22             NUMBER        ,
    ATTRIBUTE_NUMBER23             NUMBER        ,
    ATTRIBUTE_NUMBER24             NUMBER        ,
    ATTRIBUTE_NUMBER25             NUMBER        ,
    ATTRIBUTE_NUMBER26             NUMBER        ,
    ATTRIBUTE_NUMBER27             NUMBER        ,
    ATTRIBUTE_NUMBER28             NUMBER        ,
    ATTRIBUTE_NUMBER29             NUMBER        ,
    ATTRIBUTE_NUMBER30             NUMBER        ,
    ATTRIBUTE31                    VARCHAR2(960) ,
    ATTRIBUTE32                    VARCHAR2(960) ,
    ATTRIBUTE33                    VARCHAR2(960) ,
    ATTRIBUTE34                    VARCHAR2(960) ,
    ATTRIBUTE35                    VARCHAR2(960) ,
    ATTRIBUTE36                    VARCHAR2(960) ,
    ATTRIBUTE37                    VARCHAR2(960) ,
    ATTRIBUTE38                    VARCHAR2(960) ,
    ATTRIBUTE39                    VARCHAR2(960) ,
    ATTRIBUTE40                    VARCHAR2(960) ,
    ATTRIBUTE41                    VARCHAR2(960) ,
    ATTRIBUTE42                    VARCHAR2(960) ,
    ATTRIBUTE43                    VARCHAR2(960) ,
    ATTRIBUTE44                    VARCHAR2(960) ,
    ATTRIBUTE45                    VARCHAR2(960) ,
    ATTRIBUTE_NUMBER31             NUMBER        ,
    ATTRIBUTE_NUMBER32             NUMBER        ,
    ATTRIBUTE_NUMBER33             NUMBER        ,
    ATTRIBUTE_NUMBER34             NUMBER        ,
    ATTRIBUTE_NUMBER35             NUMBER        ,
    ATTRIBUTE_NUMBER36             NUMBER        ,
    ATTRIBUTE_NUMBER37             NUMBER        ,
    ATTRIBUTE_NUMBER38             NUMBER        ,
    ATTRIBUTE_NUMBER39             NUMBER        ,
    ATTRIBUTE_NUMBER40             NUMBER        ,
    ATTRIBUTE_NUMBER41             NUMBER        ,
    ATTRIBUTE_NUMBER42             NUMBER        ,
    ATTRIBUTE_NUMBER43             NUMBER        ,
    ATTRIBUTE_NUMBER44             NUMBER        ,
    ATTRIBUTE_NUMBER45             NUMBER        ,
    ATTRIBUTE_NUMBER46             NUMBER        ,
    ATTRIBUTE_NUMBER47             NUMBER        ,
    ATTRIBUTE_NUMBER48             NUMBER        ,
    ATTRIBUTE_NUMBER49             NUMBER        ,
    ATTRIBUTE_NUMBER50             NUMBER        ,
    ATTRIBUTE46                    VARCHAR2(960) ,
    ATTRIBUTE47                    VARCHAR2(960) ,
    ATTRIBUTE48                    VARCHAR2(960) ,
    ATTRIBUTE49                    VARCHAR2(960) ,
    ATTRIBUTE50                    VARCHAR2(960) ,
    ATTRIBUTE51                    VARCHAR2(960) ,
    ATTRIBUTE52                    VARCHAR2(960) ,
    ATTRIBUTE53                    VARCHAR2(960) ,
    ATTRIBUTE54                    VARCHAR2(960) ,
    ATTRIBUTE55                    VARCHAR2(960) ,
    ATTRIBUTE56                    VARCHAR2(960) ,
    ATTRIBUTE57                    VARCHAR2(960) ,
    ATTRIBUTE58                    VARCHAR2(960) ,
    ATTRIBUTE59                    VARCHAR2(960) ,
    ATTRIBUTE60                    VARCHAR2(960) ,
    ATTRIBUTE61                    VARCHAR2(960) ,
    ATTRIBUTE62                    VARCHAR2(960) ,
    ATTRIBUTE63                    VARCHAR2(960) ,
    ATTRIBUTE64                    VARCHAR2(960) ,
    ATTRIBUTE65                    VARCHAR2(960) ,
    ATTRIBUTE66                    VARCHAR2(960) ,
    ATTRIBUTE67                    VARCHAR2(960) ,
    ATTRIBUTE68                    VARCHAR2(960) ,
    ATTRIBUTE69                    VARCHAR2(960) ,
    ATTRIBUTE70                    VARCHAR2(960) ,
    ATTRIBUTE71                    VARCHAR2(960) ,
    ATTRIBUTE72                    VARCHAR2(960) ,
    ATTRIBUTE73                    VARCHAR2(960) ,
    ATTRIBUTE74                    VARCHAR2(960) ,
    ATTRIBUTE75                    VARCHAR2(960) ,
    ATTRIBUTE76                    VARCHAR2(960) ,
    ATTRIBUTE77                    VARCHAR2(960) ,
    ATTRIBUTE78                    VARCHAR2(960) ,
    ATTRIBUTE79                    VARCHAR2(960) ,
    ATTRIBUTE80                    VARCHAR2(960) ,
    ATTRIBUTE81                    VARCHAR2(4000),
    ATTRIBUTE82                    VARCHAR2(4000),
    ATTRIBUTE83                    VARCHAR2(4000),
    ATTRIBUTE84                    VARCHAR2(4000),
    ATTRIBUTE85                    VARCHAR2(960) ,
    ATTRIBUTE86                    VARCHAR2(960) ,
    ATTRIBUTE87                    VARCHAR2(960) ,
    ATTRIBUTE88                    VARCHAR2(960) ,
    ATTRIBUTE89                    VARCHAR2(960) ,
    ATTRIBUTE90                    VARCHAR2(960) ,
    ATTRIBUTE91                    VARCHAR2(960) ,
    ATTRIBUTE92                    VARCHAR2(960) ,
    ATTRIBUTE93                    VARCHAR2(960) ,
    ATTRIBUTE94                    VARCHAR2(960) ,
    ATTRIBUTE95                    VARCHAR2(960) ,
    ATTRIBUTE96                    VARCHAR2(960) ,
    ATTRIBUTE97                    VARCHAR2(960) ,
    ATTRIBUTE98                    VARCHAR2(960) ,
    ATTRIBUTE99                    VARCHAR2(960) ,
    ATTRIBUTE100                   VARCHAR2(960) ,
    ATTRIBUTE101                   VARCHAR2(960) ,
    ATTRIBUTE102                   VARCHAR2(960) ,
    ATTRIBUTE103                   VARCHAR2(960) ,
    ATTRIBUTE104                   VARCHAR2(960) ,
    ATTRIBUTE105                   VARCHAR2(960) ,
    ATTRIBUTE106                   VARCHAR2(960) ,
    ATTRIBUTE107                   VARCHAR2(960) ,
    ATTRIBUTE108                   VARCHAR2(960) ,
    ATTRIBUTE109                   VARCHAR2(960) ,
    ATTRIBUTE110                   VARCHAR2(960) ,
    ATTRIBUTE111                   VARCHAR2(960) ,
    ATTRIBUTE112                   VARCHAR2(960) ,
    ATTRIBUTE113                   VARCHAR2(960) ,
    ATTRIBUTE114                   VARCHAR2(960) ,
    ATTRIBUTE115                   VARCHAR2(960) ,
    ATTRIBUTE116                   VARCHAR2(960) ,
    ATTRIBUTE117                   VARCHAR2(960) ,
    ATTRIBUTE118                   VARCHAR2(960) ,
    ATTRIBUTE119                   VARCHAR2(960) ,
    ATTRIBUTE120                   VARCHAR2(960) ,
    ATTRIBUTE121                   VARCHAR2(960) ,
    ATTRIBUTE122                   VARCHAR2(960) ,
    ATTRIBUTE123                   VARCHAR2(960) ,
    ATTRIBUTE124                   VARCHAR2(960) ,
    ATTRIBUTE125                   VARCHAR2(960) ,
    ATTRIBUTE126                   VARCHAR2(960) ,
    ATTRIBUTE127                   VARCHAR2(960) ,
    ATTRIBUTE128                   VARCHAR2(960) ,
    ATTRIBUTE129                   VARCHAR2(960) ,
    ATTRIBUTE130                   VARCHAR2(960) ,
    ATTRIBUTE131                   VARCHAR2(960) ,
    ATTRIBUTE132                   VARCHAR2(960) ,
    ATTRIBUTE133                   VARCHAR2(960) ,
    ATTRIBUTE134                   VARCHAR2(960) ,
    ATTRIBUTE135                   VARCHAR2(960) ,
    ATTRIBUTE136                   VARCHAR2(960) ,
    ATTRIBUTE137                   VARCHAR2(960) ,
    ATTRIBUTE138                   VARCHAR2(960) ,
    ATTRIBUTE139                   VARCHAR2(960) ,
    ATTRIBUTE140                   VARCHAR2(960) ,
    ATTRIBUTE141                   VARCHAR2(960) ,
    ATTRIBUTE142                   VARCHAR2(960) ,
    ATTRIBUTE143                   VARCHAR2(960) ,
    ATTRIBUTE144                   VARCHAR2(960) ,
    ATTRIBUTE145                   VARCHAR2(960) ,
    ATTRIBUTE146                   VARCHAR2(960) ,
    ATTRIBUTE147                   VARCHAR2(960) ,
    ATTRIBUTE148                   VARCHAR2(960) ,
    ATTRIBUTE149                   VARCHAR2(960) ,
    ATTRIBUTE150                   VARCHAR2(960) ,
    ERROR_CODE                     VARCHAR2(120) ,
    LOCK_FLAG                      VARCHAR2(4)   ,
    CONSTRAINT pk_cn_tp_transactions_all_h PRIMARY KEY (TRANSACTION_H_ID, TRANSACTION_H_ID)
);
